rem @echo OFF
set SRCPATH=%~dp0
set DESTPATH=C:\APSETUP
set PRODUCTNAME1={C3C2D4C7-AB01-4DF3-8E5E-F345E2FC42DC}_is1
set REGPATH1="HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\%PRODUCTNAME1%"
set REGKEY="UninstallString"
set REGMACHINEINFO="HKEY_LOCAL_MACHINE\SOFTWARE\NEC\MachineInfo"
set REGPRODUCTNAMEKEY="ProductName"
set BEQuietUninstallParam=/VERYSILENT
set EXENAME=KBToolSetup_x64.exe


rem confirm the reg exist.
for /f "tokens=2,*" %%a in ('REG QUERY %REGPATH1% /v %REGKEY%') do (
set RegValue1= %%b
)

for /f "tokens=2,*" %%a in ('REG QUERY %REGMACHINEINFO% /v %REGPRODUCTNAMEKEY%') do (
set ProductName= %%b
)

for %%a in (LZN221Q) do (
	if %%a == %ProductName% set RUN=ON
)

if defined RUN (
	goto RUNBAT
) else (
	goto DONE
)

:RUNBAT
if defined RegValue1 (
	rem kill uwp
	taskkill /F /IM KBBackLightTool.exe
	
	rem Run Uninstall command
	%RegValue1% %BEQuietUninstallParam%
) else echo no Uninstall command

if defined ProductName (
	rem echo replace Setup files
	xcopy "%SRCPATH%APSETUP" "%DESTPATH%" /s /e /y
	
	rem 221Q Kohaku
	if %ProductName% == LZN221Q (
		rem kill uwp
		taskkill /F /IM KBBackLightTool.exe
		
		rem install new version
		"%DESTPATH%\KBToolLibrary\KBToolSetup_x64" /VERYSILENT
	)	
) else echo no product name

:DONE

